## com.google.javascript.jscomp
Class DotFormatter

    java.lang.Object
      com.google.javascript.jscomp.DotFormatter

    public class DotFormatter

extends Object

DotFormatter prints out a dot file of the Abstract Syntax Tree. For a detailed description of the dot format and visualization tool refer to Graphviz.

Typical usage of this class

`System.out.println(new DotFormatter().toDot(node));`

This class is not thread safe and should not be used without proper external synchronization.

Method Summary
`static String` | `toDot(GraphvizGraph graph)` Outputs a string in DOT format that presents the graph.
`static String` | `toDot(Node n)` Converts an AST to dot representation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### toDot

    public static String toDot(Node n)
                        throws IOException

  Converts an AST to dot representation.

  Parameters:
    `n` - the root of the AST described in the dot formatted string
  Returns:
    the dot representation of the AST
  Throws:
    `IOException`

### toDot

    public static String toDot(GraphvizGraph graph)

  Outputs a string in DOT format that presents the graph.

  Parameters:
    `graph` - Input graph.
  Returns:
    A string in Dot format that presents the graph.